%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name Net_Ping

Name:           php-pear-Net-Ping
Version:        2.4.1
Release:        2%{?dist}
Summary:        Execute ping

Group:          Development/Libraries
License:        PHP License
URL:            http://pear.php.net/package/Net_Ping
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source1:        PHP-LICENSE-3.01
Source2:        xml2changelog
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}
Requires:       /bin/ping

%description
OS independent wrapper class for executing ping calls.


%prep
%setup -q -c
%{__pear} convert package.xml package2.xml
%{_bindir}/php -n %{SOURCE2} package2.xml >CHANGELOG
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
%{__install} -m 644 -c %{SOURCE1} LICENSE


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT docdir
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Move documentation
mv $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name} ../docdir


# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi

%check
cd %{pear_name}-%{version}/tests
php test_result_parsers.php


%files
%defattr(-,root,root,-)
%doc docdir/docs/examples CHANGELOG LICENSE

%{pear_xmldir}/%{pear_name}.xml
%{pear_phpdir}/Net
%{pear_testdir}/%{pear_name}


%changelog
* Wed May 16 2007 Remi Collet <Fedora@FamilleCollet.com> 2.4.1-2
- From review, correct typo.
- add Requires: /bin/ping
- add simple test in %%check 

* Sat May 12 2007 Remi Collet <Fedora@FamilleCollet.com> 2.4.1-1
- initial RPM (generated specfile + cleanup)
- add CHANGELOG and LICENSE
- convert package.xml to package2.xml
